import { Component, OnInit } from '@angular/core';
import {Observable, Observer} from 'rxjs';
import { FetcherService } from '../fetcher.service';

@Component({
  selector: 'app-confluence',
  templateUrl: './confluence.component.html',
  styleUrls: ['./confluence.component.css']
})
export class ConfluenceComponent implements OnInit {
  projectId = NaN;
  constructor(private fetcherService: FetcherService) { }

  ngOnInit(): void {
    this.projectId = this.fetcherService.getCurrentProjectId();
  }
  file = this.fetchData(this.projectId);

  fetchData(id: number) {
    //return dummy data of type entry
    const file = "<h1>Test file</h1>";
    return file;
  }
}
